Summary:	Tool to check and undelete partition
Summary(pl.UTF8):	Narzędzie sprawdzające i odzyskujące partycje
Summary(fr.UTF8):	Outil pour vérifier et restorer des partitions
Summary(ru_RU.UTF8): Программа для проверки и восстановления разделов диска
Name:		testdisk
Version:	6.9
Release:	2%{?dist}
License:	GPLv2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/testdisk-%{version}.tar.bz2
Patch0:		testdisk69_libewf.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel
BuildRequires:	libjpeg-devel
%ifnarch ppc ppc64
BuildRequires:  ntfsprogs-devel
%endif
BuildRequires:  libewf-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Tool to check and undelete partition. Works with FAT12, FAT16, FAT32,
NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid, Linux Swap,
LVM, LVM2, NSS, ReiserFS, UFS, XFS

%description -l pl.UTF8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

%description -l fr.UTF8
Outil pour vérifier et restorer des partitions. Fonctionne avec
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

%description -l ru_RU.UTF8
Программа для проверки и восстановления разделов диска.
Поддерживает следующие типы разделов:
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

%prep
%setup -q
%patch0 -p1 -b .list

%build
%configure
make %{?_smp_mflags}
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS doc
%attr(755,root,root) %{_sbindir}/testdisk
%attr(755,root,root) %{_sbindir}/photorec
%{_mandir}/man1/testdisk.1*
%{_mandir}/man1/photorec.1*
%changelog
* Wed Mar 19 2008 Christophe Grenier <grenier@cgsecurity.org> 6.9-2
- Fix for new API in libewf > 20070512

* Wed Feb 13 2008 Christophe Grenier <grenier@cgsecurity.org> 6.9-1
- Update to latest version

* Mon Dec 10 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-6
- Don't disable libewf during compilation

* Mon Dec  3 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-5
- Don't require ntfsprogs-devel on ppc and ppc64

* Mon Dec  3 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-4
- Rename TestDisk list functions to avoid conflict with latest ntfsprogs-devel 2.0.0

* Sun Dec  2 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-3
- Use libewf for support of the Expert Witness Compression Format (EWF)

* Thu Aug 16 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-2
- Fix the license in the spec file

* Tue Aug 14 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-1
- Update to latest version

* Fri Jun 29 2007 Christophe Grenier <grenier@cgsecurity.org> 6.7-1
- Update to latest version

* Sun Feb 18 2007 Christophe Grenier <grenier@cgsecurity.org> 6.6-1
- Update to latest version

* Mon Feb 5 2007 Christophe Grenier <grenier@cgsecurity.org> 6.5-3
- Fix russian description in spec file

* Tue Nov 26 2006 Christophe Grenier <grenier@cgsecurity.org> 6.5-2
- Use ntfsprogs to provide NTFS listing capabilities to TestDisk

* Tue Oct 24 2006 Christophe Grenier <grenier@cgsecurity.org> 6.5-1
- Update to latest version

* Mon Aug 28 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-3
- Rebuild for Fedora Extras 6

* Wed Jun 21 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-2
- FC3 and FC4 has a release of 2, need to align

* Wed Jun 21 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-1
- Update to latest version

* Mon Mar  6 2006 Christophe Grenier <grenier@cgsecurity.org> 6.3-1
- Update to latest version

* Tue Feb 28 2006 ChangeLog Grenier <grenier@cgsecurity.org> 6.2-4
- Rebuild for Fedora Extras 5

* Mon Jan 23 2006 Christophe Grenier <grenier@cgsecurity.org> 6.2-3
- same spec for all arches hence add dist

* Sun Jan 4 2004 Christophe Grenier <grenier@cgsecurity.org> 5.0
- 5.0

* Wed Oct 1 2003 Christophe Grenier <grenier@cgsecurity.org> 4.5
- 4.5

* Wed Apr 23 2003 Christophe Grenier <grenier@cgsecurity.org> 4.4-2

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <pascal.terjan@free.fr>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
